package com.supwisdom.dlpay.system.service;

import com.supwisdom.dlpay.api.bean.JsonResult;
import com.supwisdom.dlpay.framework.domain.TPermission;
import com.supwisdom.dlpay.framework.domain.TResource;
import com.supwisdom.dlpay.framework.domain.TRole;
import com.supwisdom.dlpay.framework.domain.TRoleFunction;
import com.supwisdom.dlpay.framework.util.PageResult;
import com.supwisdom.dlpay.system.bean.FunctionSearchBean;
import com.supwisdom.dlpay.system.bean.ZTreeNode;

import java.util.List;

public interface RoleService {
    List<TRole> findAllRoles();

    TRole findRoleByRolecode(String rolecode);

    TResource findResourceByURI(String uri);

    TRoleFunction findRoleFunctionByRoleIdAndFunctionId(String roleid, Integer functionid);

    PageResult<TRole> getRolesByKey(FunctionSearchBean param);

    JsonResult saveRole(TRole role);

    List<TRoleFunction> getRoleFuncByRoleid(String roleId);

    List<TPermission> findByRoleFuncId(String roleFuncId);

    TPermission findByRoleFuncIdAndResid(String roleFuncId, Integer resid);

    JsonResult saveRoleFuncId(String roleId, String funcs);

    List<ZTreeNode> findByRoleIdNative(String roleId);
}
